﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace GridVrtualization
{
    public partial class MainPage : UserControl
    {
        private List<Entity> entities = new List<Entity>();
        public MainPage()
        {
            InitializeComponent();

        }

        private void BuildData()
        {
            for (int i = 0; i <= 1000; i++)
            {
                entities.Add(new Entity() 
                {
                    Id=Guid.NewGuid(),
                    Index = i,Name="Name"+i,
                    Input="Input"+i,
                    No="No"+i,
                    Output = "output"+i,
                    Remark = "remark"+i,
                    Column = "Column",
                    Column1 = "Column",
                    Column2 = "Column",
                    Column3 = "Column",
                    Column4 = "Column",
                    Column5 = "Column",
                    Column6 = "Column",
                    Column7 = "Column",
                    Column8 = "Column",
                    Column9 = "Column",
                    Column10 = "Column",
                    Column11 = "Column",
                    Column12 = "Column",
                    Column13 = "Column"
                });
            }
        }

        private void BtnLoadClick(object sender, RoutedEventArgs e)
        {
           BuildData();
           dataGrid.ItemsSource = entities;
           comboBox.ItemsSource = entities;
        }
    }


    public class  Entity
    {
        public Guid Id { get; set; }
        public string Name { get; set; }
        public string Remark { get; set; }
        public string Input { get; set; }
        public string Output { get; set; }
        public string No { get; set; }
        public int Index { get; set; }
        public string Column { get; set; }
        public string Column1 { get; set; }
        public string Column2 { get; set; }
        public string Column3 { get; set; }
        public string Column4 { get; set; }
        public string Column5 { get; set; }
        public string Column6 { get; set; }
        public string Column7 { get; set; }
        public string Column8 { get; set; }
        public string Column9 { get; set; }
        public string Column10 { get; set; }
        public string Column11 { get; set; }
        public string Column12 { get; set; }
        public string Column13 { get; set; }
    }
}
